$real Casts a variable to a real
Usage
<real> $real(<data:variant>)
Description

Forces <data> to be a real data type with the following semantics:

- If <data> is a real, <data> itself is returned.
- If <data> is an integer, <data> itself is returned, in its real form.
- If <data> is a boolean, its numeric value is returned (either 1.0 or 0.0).
- If <data> is an array, the count of its items is returned.
- If <data> is a hash, the count of its items is returned.
- If <data> is a string, its length is returned.
- If <data> is an object, 0.0 is returned if the reference is null (invalid) and 1.0 otherwise

This function is similar to the C (double) cast.
Note that since KVIrc does most of the casting work automatically you shouldn't need to use this function.

See also
$int

Index, Functions